Bug 444017 - obsolete comment in /etc/sane.d/dll.conf
obsolete comment in /etc/sane.d/dll.conf
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: sane-backends (Show other bugs)
10
All Linux
low Severity low
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-24 11:50 EDT by Thorsten Leemhuis
Modified: 2009-07-22 17:42 EDT (History)
1 user (show)

See Also:
Fixed In Version: 1.0.20-4.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-22 17:42:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thorsten Leemhuis 2008-04-24 11:50:23 EDT
Description of problem:
A fresh /etc/sane.d/dll.conf in rawhide contains this comment:

---
#
# The following backends are not included in the sane-backends distribution
# If you want to use them, download them from their webpages and read their
# documentation 
#
# HP OfficeJet backend homepage: http://hpoj.sf.net/
# Uncomment the following line if hpoj is installed:
#hpoj
---
This is misleading, as hpoj is obsolete these days. libsane-hpaio is the successor.

The comment thus should be removed. Further: The file IMHO should contain a line
"hpaio" instead; that way this scriptlet
---
if [ -f /etc/sane.d/dll.conf ] && \
   ! grep ^hpaio /etc/sane.d/dll.conf >/dev/null 2>/dev/null ; then \
        echo hpaio >> /etc/sane.d/dll.conf; \
fi
---
can be removed from the libsane-hpaio package as modification like this can lead
to unnecessary rpmnew/rpmsave files which users then need to handle manually

Version:
sane-backends-1.0.19-10.fc9.x86_64
Comment 1 Bug Zapper 2008-05-14 06:05:34 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Thorsten Leemhuis 2008-11-15 03:48:01 EST
still there in rawhide
Comment 3 Nils Philippsen 2008-11-17 12:28:33 EST
Tim: Do you know if adding a "hpaio" line as described in comment #0 is safe, even if the libsane-hpaio package isn't installed?
Comment 4 Tim Waugh 2008-11-18 07:47:21 EST
I don't know, but it just depends on how the SANE dll backend handles it.  Probably it's fine.
Comment 5 Bug Zapper 2008-11-25 21:13:55 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Nils Philippsen 2009-06-17 09:10:22 EDT
I've packaged the new upstream version sane-backends-1.0.20 which should have this issue fixed and submitted it for updates-testing. Please check and report back, thanks.
Comment 7 Fedora Update System 2009-06-19 09:41:03 EDT
sane-backends-1.0.20-3.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update sane-backends'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-6741
Comment 8 Fedora Update System 2009-06-26 22:51:24 EDT
sane-backends-1.0.20-4.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update sane-backends'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-6741
Comment 9 Fedora Update System 2009-07-02 01:55:19 EDT
sane-backends-1.0.20-4.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update sane-backends'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-6741
Comment 10 Fedora Update System 2009-07-22 17:42:20 EDT
sane-backends-1.0.20-4.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.